Skip to main content
GET
/
teams
Error
A valid request URL is required to generate request examples
{
  "items": [
    {
      "id": "<string>",
      "organization_id": "<string>",
      "label": "<string>",
      "project_permissions": [
        "admin"
      ],
      "counts": {
        "member_count": 123,
        "project_count": 123
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "count": 123,
  "_links": {
    "self": {
      "href": "<string>"
    },
    "previous": {
      "href": "<string>"
    },
    "next": {
      "href": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Query Parameters

filter[organization_id]
object

Allows filtering by organization_id using one or more operators.

filter[id]
object

Allows filtering by id using one or more operators.

filter[updated_at]
object

Allows filtering by updated_at using one or more operators.

page[size]
integer

Determines the number of items to show.

Required range: 1 <= x <= 100
page[before]
string

Pagination cursor. This is automatically generated as necessary and provided in HAL links (_links); it should not be constructed externally.

page[after]
string

Pagination cursor. This is automatically generated as necessary and provided in HAL links (_links); it should not be constructed externally.

sort
enum<string>

Allows sorting by a single field.
Use a dash ("-") to sort descending.

Available options:
label,
-label,
created_at,
-created_at,
updated_at,
-updated_at

Response

OK

items
object[]
count
integer

Total count of all the teams.